// MultiMapa.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

int _tmain(int argc, _TCHAR* argv[])
{
	typedef std::multimap< int, double, std::less<int> > MultiMapaIntReal;
	//typedef std::multimap<int, double> MultiMapaIntReal;

	MultiMapaIntReal Pares;

	cout	<< "Atualmente existem " << Pares.count(15)
			<< " pare com a chave 15 no multimapa." << endl;

	Pares.insert( MultiMapaIntReal::value_type( 15, 2.7) );
	Pares.insert( MultiMapaIntReal::value_type( 15, 99.3) );

	cout	<< "Aps inserts, existem " << Pares.count(15)
			<< " pares com a chave 15." << endl;

	Pares.insert( MultiMapaIntReal::value_type( 30, 111.11) );
	Pares.insert( MultiMapaIntReal::value_type( 10, 22.2) );
	Pares.insert( MultiMapaIntReal::value_type( 25, 33.333) );
	Pares.insert( MultiMapaIntReal::value_type( 20, 9.345) );
	Pares.insert( MultiMapaIntReal::value_type(  5, 77.54) );

	cout	<< endl;
	cout	<< "O multipas contm: \n"
			<< "Chave \t Valor \n";

	MultiMapaIntReal::const_iterator Iterador;

	for (Iterador = Pares.begin(); Iterador != Pares.end(); ++Iterador)
	{
		cout	<<	Iterador->first << '\t'
				<<	Iterador->second << '\n';
	}
	cout << endl;

	return 0;
}

