// Pilha.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

// Testando a classe stack da biblioteca padro

template< class T >
void retiraElementos( T &pilha );

int _tmain(int argc, _TCHAR* argv[])
{
	std::stack<int>					    PilhaDequeInt; //Pilha Baseada em deque;
	std::stack<int, std::vector< int >> PilhaVectorInt;
	std::stack<int, std::list< int >>   PilhaListInt;

	for (int i = 0; i < 10; ++i)
	{
		PilhaDequeInt.push( i );
		PilhaVectorInt.push( i );
		PilhaListInt.push( i );
	}

	cout << "Retirando de PilhaDesqueInt: ";
	retiraElementos( PilhaDequeInt );
	cout << endl;

	cout << "Retirando de PilhaVectorInt: ";
	retiraElementos( PilhaVectorInt );
	cout << endl;

	cout << "Retirando de PilhaDesqueInt: ";
	retiraElementos( PilhaListInt );
	cout << endl;

	return 0;
}

template< class T >
void retiraElementos( T &pilha )
{
	while( !pilha.empty() )
	{
		cout << pilha.top() << ' ';
		pilha.pop();
	}
}

